/*
 Theme Name:     Notes 2024
 Description:    Custom theme for Notes
 Author:         Andrea Barbieri
 Author URI:     www.andreabarbieri.net
 Template:       twentytwentyfour
*/


:root {
	--padding-small: 0.5rem;
}


/* HEADER */
.header-wrapper {justify-content: space-between}

/* MODAL Add new post */
.post-modal {
	display: none;
	position: absolute;
	width: 100%;
	height: 100%;
	top: 0;
	padding:2rem;
}

.new-post-container {
	position: relative;
	overflow: scroll;
	width: 100%;
	height:100%;
	flex-wrap: nowrap !important;
	align-items: flex-start !important;
}

.responsive-iframe {
	position: relative;
	top: 2rem;
	z-index: 9;
	width:100%;
	height:100%;
}


/* HOME */
.home-columns {
	gap: 2em var(--wp--preset--spacing--40);
	align-items: normal !important;
	box-sizing: border-box;
}

@media (min-width: 782px) {
	.home-columns {
		flex-wrap: nowrap !important;
	}
}

.origin-query {
	padding-top: var(--wp--preset--spacing--20);
	min-width: 0;
	overflow-wrap: break-word;
	word-break: break-word;
}

@media (min-width: 782px) {
	.origin-query {
		/* for stacking on mobile: */
		flex-basis: 0;
		flex-grow: 1;
	}
}

.origin-query .taxonomy-category {
	text-align: right;
	flex-basis: 30%;
}

.post-template {padding:0}

.post-template .post-container {
	list-style:none;
	margin:0;
}
.post-template .post-container:hover {background-color:#eaeaea;}

.query-foto ul {
	display:flex;
	flex-direction: row;
	flex-wrap: wrap;
	gap:0.5rem;
}

.query-foto li {flex-basis:calc(10% - 0.5rem);}

.query-foto figure, 
.post-wrap .wp-block-post-featured-image {
	aspect-ratio:1;
	margin:0;
}
.post-wrap .wp-block-post-featured-image {font-size:0; width:32px}

.query-foto a {
	display:block;
	height:100%;
	outline: none;
}

.query-foto img, 
.post-wrap .wp-block-post-featured-image img {
	object-fit: cover;
	border-radius: 6px;
	width:100%;
	height:100%;
}



.post-wrap {
	padding: var(--padding-small);
	border-bottom: 1px solid var(--wp--preset--color--accent-5);
	flex-wrap: nowrap;
	align-items: center;
	gap: 1.2rem;
	align-items: flex-start !important;
}
.latest-query .post-wrap {align-items: center !important;}

.post-wrap h2 {
	flex-grow: 1;
	flex-basis: 66%;
}

.post-wrap a {text-decoration:none;}
.post-wrap a:hover {text-decoration:underline;}

.wp-block-post-date {
	color: var(--wp--preset--color--accent-5);
	font-size: var(--wp--preset--font-size--small);
	flex-basis: 9%;
}

.wp-block-post-terms {font-size: var(--wp--preset--font-size--small)}

.wp-block-post-date {
	color: var(--wp--preset--color--accent-5);
	font-size: var(--wp--preset--font-size--small);
	flex-basis: 9%;
}

.edit-link, 
.post-link {
	color:#0082ff;
	font-size: var(--wp--preset--font-size--small);
}

.edit-link {font-style: italic}

/* GALLERY OVERLAY */
/* css for internal page is inside foto.php */

iframe.gallery-overlay {
	position: fixed;
	z-index: 9999;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	width: 100%;
	height: 100vh;
	display:none;
	max-width:none;
	margin-top:0;
	margin-bottom:0;
}

